gnutls_x509_trust_list_get_issuer_by_dn(3)

NAME
gnutls_x509_trust_list_get_issuer_by_dn - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_get_issuer_by_dn(gnutls_x509_trust_list_t list, const gnutls_datum_t * dn, gnutls_x509_crt_t * issuer, unsigned int flags);

ARGUMENTS

gnutls_x509_trust_list_t list
    The list

const gnutls_datum_t * dn
    is the issuer's DN

gnutls_x509_crt_t * issuer
    Will hold the issuer if any. Should be deallocated after use.

unsigned int flags
    Use zero

DESCRIPTION
This function will find the issuer with the given name, and return a copy of the issuer, which must be freed using gnutls_x509_crt_deinit().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/